-- Adds shadows to orbi hazards like the ones found in Red Barrage
-- Also reduces their hitbox slightly because they are bigger than they should
-- Created by Indev for Sunflower's Garden
for _, mt in ipairs { MT_ADVENTURESPIKEA, MT_ADVENTURESPIKEB, MT_ADVENTURESPIKEC } do
    mobjinfo[mt].radius = FixedMul($, 2*FRACUNIT/3)

    addHook("MobjSpawn", function(mo)
        P_SpawnShadowMobj(mo)
    end, mt)
end
