-- Hyudoro Rocks Fix by Indev
-- Allows Hyuodor to pass falling rocks and apples, as well as other things as they get slowly added
local function set(arr)
    local res = {}

    for i = 1, #arr do res[arr[i]] = true end

    return res
end

local checkobjects = set {
    MT_FALLINGROCK,
    MT_APPLE,
}

local function playerCollide(pmo, mo)
	if not mo.valid then return end -- kart pls
	
    if not pmo.player.kartstuff[k_hyudorotimer] then return end

    if checkobjects[mo.type] then
        return false
    end
end

addHook("MobjCollide", playerCollide, MT_PLAYER)
addHook("MobjMoveCollide", playerCollide, MT_PLAYER)
