-- Thanks mudslap Stadium for killing my ears
local MAPS = {
    MAPVT = true,
    MAPVS = true,
}

local active = false

local function sneakerPanelShutup(mapload)
    for player in players.iterate do
        -- Usually thats enough...
        player.kartstuff[k_floorboost] = 2

        -- ... but the sound is still started at map load so also need to do this
        if mapload then
            if player.mo then
                S_StopSoundByID(player.mo, sfx_cdfm01)
            end
        end
    end
end

addHook("MapLoad", function(mapid)
    active = MAPS[G_BuildMapName(mapid)]

    if active then sneakerPanelShutup(true) end
end)

addHook("NetVars", function(net)
    active = net($)
end)

addHook("PreThinkFrame", function()
    if active and leveltime < 7*TICRATE then sneakerPanelShutup() end
end)
